import { Link } from "@/i18n";
import { useTranslations } from "next-intl";
import { FC } from "react";
import "./style.scss";

/**
 * @description 列表组件
 * @param {string} type 使用类型
 * @param {(params: any) => void} callbackFun 回调方法
 */
export interface ItemComProps {
    type?: string;
}

const links = [
    { label: "gratis", desc: "gratisDesc", icon: "", url: "/" },
    {
        label: "company",
        desc: "",
        icon: "icon-huo",
        color: "rgb(255, 147, 35)",
        url: "/affiliate/summary",
    },
    { label: "pray", desc: "", icon: "icon-mianfei", color: "#20894d", url: "/" },
    {
        label: "cashback",
        desc: "",
        icon: "icon-qiandai",
        color: "rgb(255, 147, 35)",
        url: "/cashback",
    },
    { label: "gamblingBets", desc: "", icon: "", url: "/betrecord" },
    { label: "league", desc: "", icon: "", url: "/" },
    { label: "instant", desc: "", icon: "", url: "/" },
    { label: "transactions", desc: "", icon: "", url: "/transactions" },
    { label: "message", desc: "", icon: "", url: "/notification" },
    { label: "initial", desc: "", icon: "", url: "/" },
];

const ItemCom: FC<ItemComProps> = ({ type = "login" }) => {
    const t = useTranslations("ProfilePage");
    return (
        <div className="itemCom-box">
            {links.map((item, index) => (
                <Link
                    className={`${index == 0 ? "free" : ""} box-item`}
                    href={item.url}
                    key={index}
                >
                    <div className={`${item.desc ? "box-item__left" : ""}`}>
                        <div className="content">
                            {t(item.label)}
                            <i
                                className={`iconfont ${item.icon}`}
                                style={{ color: item.color }}
                            ></i>
                        </div>
                        {item.desc && <p className={"desc"}>{t(item.desc)}</p>}
                    </div>
                    <div>
                        <span className="iconfont icon-xiangyou1"></span>
                    </div>
                </Link>
            ))}
        </div>
    );
};

export default ItemCom;
