import { CashbackTypes } from "@/api/cashback";
import Box from "@/components/Box";
import { timeFormat } from "@/utils/methods";
import { getLocale } from "next-intl/server";
import Extract from "./components/Extract";

interface Props {
    cashbackInfo: CashbackTypes;
}
const Page = async (props: Props) => {
    const { cashbackInfo } = props;
    const local = await getLocale();
    console.log(`🚀🚀🚀🚀🚀-> in Week.tsx on 11`, cashbackInfo);
    return (
        <Box className={"mt-[10px] rounded-[10px] bg-[#e8e8e8]"}>
            <div className={"flex"}>
                <div className={"flex-1"}>
                    <h1 className={"text-[0.18rem] font-black text-primary-color"}>
                        Seu Cashback de Semanal
                    </h1>
                    <p className={"text-[0.12rem]"}>
                        <span>Você ganhará </span>
                        <span className={"text-primary-color"}>{cashbackInfo.amount ?? "???"}</span>
                        <span> BRL em cashback jogando esta semana.</span>
                    </p>
                </div>

                <div className={"relative flex-shrink-0"}>
                    <img
                        src="/img/free.png"
                        alt=""
                        className={"absolute -left-[0.1rem] bottom-[0.15rem] w-[0.4rem]"}
                    />
                    <img src="/img/cash.png" alt="" className={"ml-[0.08rem] w-[0.8rem]"} />
                </div>
            </div>
            <p className={"mb-[0.05rem] text-[0.12rem] text-[#ff9323]"}>
                <span>
                    Periodo {timeFormat(cashbackInfo.last_period.start_time, local)} ~{" "}
                    {timeFormat(cashbackInfo.last_period.end_time, local)}
                </span>
            </p>
            <Extract />

            <div className={"mt-[0.05rem]"}>
                <p>Tempo de reivindicação</p>
                <p>
                    {timeFormat(cashbackInfo.next_period.start_time, local)} ~{" "}
                    {timeFormat(cashbackInfo.next_period.end_time, local)}
                </p>
            </div>
        </Box>
    );
};
export default Page;
