"use client";
import { useRouter } from "@/i18n";
import { setHtmlFontSize } from "@/utils";
import { NextUIProvider } from "@nextui-org/system";
import { ConfigProvider } from "antd-mobile";
import enUS from "antd-mobile/es/locales/en-US";
import { ThemeProviderProps } from "next-themes/dist/types";
import { ReactNode, useLayoutEffect } from "react";
export interface ProvidersProps {
    children: ReactNode;
    themeProps?: Omit<ThemeProviderProps, "children">;
}

export const Providers = ({ children, themeProps }: ProvidersProps) => {
    const router = useRouter();
    useLayoutEffect(() => {
        // 调用响应式方法
        setHtmlFontSize();
    }, []);
    return (
        <ConfigProvider locale={enUS}>
            <NextUIProvider navigate={router.push}>{children}</NextUIProvider>
        </ConfigProvider>
    );
};
